Subject: Re: bug#10621: Incorrect usage of hash procedures in (ice-9 mapping)

From: Andy Wingo <[email-masked]>
Date: Sun, 24 Feb 2013 15:10:21 +0100

On Wed 28 Nov 2012 16:56, Daniel Hartwig <[email-masked]> writes:

> A short module, it is not hard to fix, though given all of the above it
> makes sense to simply remove it.

I think removing it is the right thing.  Even with your patch it still
won't work because the default "table constructor" is a vector instead
of a hash table.

Regardless of whether it were new or old, I would much prefer to remove
this module than to document it properly, especially given the existence
of alternatives like srfi-69 and rnrs hash tables as you mention.

I will apply your patch (so that the compile warnings go away), add a
deprecation notice, and remove the module in master.

Andy
-- 
http://wingolog.org/